BEGIN DVAMPVIC




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("ViconiaResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~What is happened? I remember you killing me. I still feel the hunger. I am a vampire now. Why you did not kill me?~
   ++ ~Viconia, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Viconia, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Viconia, I am now your master and will command you.~ + briefingNV1c
   ++ ~Die, dead thing!~ + briefing3f
END

IF ~~ briefingNV1a
  SAY ~I am happy your love is stronger than I throught. I want to be with you, as it is now possible!~
  ++ ~Join me then, we still have a lot of things to do.~ + briefing2
     ++ ~Die, dead thing!~ + briefing3f
END


IF ~~ briefingNV1b
  SAY ~It's hard to say it is wonderful. I feel great hunger. But I also feel a power. And I am not the same coward Viconia.~
  ++ ~Join me then, we still have a lot of things to do.~ + briefing2
     ++ ~Die, dead thing!~ + briefing3f
END

  IF ~~ briefingNV1c
  SAY ~I escaped Underdark to not be commanded! I... As you command me, my master. I will do what you say...~
  ++ ~Join me then, we still have a lot of things to do.~ + briefing2
     ++ ~Die, dead thing!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("ViconiaResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~What is happened? I remember you killing me. I still feel the hunger. I am a vampire now. Why you did not kill me?~
   ++ ~Viconia, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Viconia, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Viconia, I am now your master and will command you.~ + briefingNV1c
   ++ ~Die, dead thing!~ + briefing3f
END




IF ~~ briefing2
  SAY ~Yes, rivvin.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ViconiaResurrected","GLOBAL",2)
  DestroyItem("MISCBO")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~It's me, Viconia! The same Viconia you loved!~
  IF ~~ THEN DO ~SetGlobal("ViconiaResurrected","GLOBAL",2)
    SetGlobal("ViconiaLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~You loved me, and now you kick me off? Fine, all surface dwellers are scum!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("ViconiaResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need my power, my master?~ 
 ++ ~Come with me, Viconia, I need you.~ + notparty1
 ++ ~Stay here, Viconia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need my power, my mistress?~ 
 ++ ~Come with me, Viconia, I need you.~ + notparty1
 ++ ~Stay here, Viconia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need my power, my mistress?~ 
 ++ ~Come with me, Viconia, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Viconia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~!Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need my power, my master?~ 
 ++ ~Come with me, Viconia, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Viconia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~For Shar!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVViconia")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~For Shar!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Don't you want me no more? I will wait you in stronghold.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Viconia.~ + suckblood
 ++ ~Tell me your story, Viconia.~ + talkViconiaM
 ++ ~No, nothing right now, Viconia.~ + byesilent
  ++ ~I decided to end your life, Viconia.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Viconia.~ + suckblood
 ++ ~Tell me your story, Viconia.~ + talkViconiaF
 ++ ~No, nothing right now, Viconia.~ + byesilent
  ++ ~I decided to end your life, Viconia.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Viconia.~ + suckblood
 ++ ~Make me a vampire, Viconia.~ + vampconvm
 ++ ~Tell me your story, Viconia.~ + talkViconiaM
 ++ ~No, nothing right now, Viconia. Sorry.~ + byesilent
   ++ ~I decided to end your life, Viconia.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Viconia.~ + suckblood
 ++ ~Make me a vampire, Viconia.~ + vampconvf 
 ++ ~Tell me your story, Viconia.~ +   talkViconiaM
 ++ ~No, nothing right now, Viconia. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life, Viconia.~ + briefing3f
END

IF ~~ byesilent
SAY ~Surfacers...~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkViconiaM
  SAY ~You know about me almost everthing. Did you forget the times we laid together?~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkViconiaF
  SAY ~You know about me almost everthing. Did you forget the times we pet each other?~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood
  SAY ~You are true lover!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Hey, your blood is not a blood!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~I will drink it as heaven's ambrosia!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,80,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Viconia make you fall to the ground and lays over you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Viconia make you fall to the ground and lays over you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Viconia.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Viconia. She is your woman. Even if you don't love her the same.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,-1,ADD)
		ChangeStat(Player1,STR,-1,ADD)
		ChangeStat(Player1,WIS,1,ADD)
		ChangeStat(Player1,INT,1,ADD)
		

		SetGlobal("ViconiaVampirized","GLOBAL",1)	
	~ EXIT
END


